#! /bin/sh
## Usunięcie poprzedniej wersji (potrzebne tylko wtedy jeżeli
## instalujemy wersję wyższą, tzn. np. 4.3 zamiast 4.2 itd.)
## Wtedy wpisz poniżej poprawną nazwę katalogu, np. libreoffice4.2
if [ -d /opt/libreoffice4.1 ] ; then
  sudo apt-get purge libreoffice4.1-* --yes --force-yes
fi
if [ -e /usr/bin/libreoffice4.1 ] ; then
  sudo rm -r /usr/bin/libreoffice4.1
fi
## Instalacja LibreOffice
## Zmienna VER oznacza aktualizowaną wersję LO, zmienna SVER - podwersję, którą odczytujemy
## z nazwy rozpakowanego(podejrzanego w menedżerze archiuwm) archiwum deb.
VER=4.2.2
SVER=4.2.2.1
losource="http://download.documentfoundation.org/libreoffice/stable/$VER/deb/x86/"
lo="LibreOffice_${VER}_Linux_x86_deb"
loi="LibreOffice_${SVER}_Linux_x86_deb"
lo1="$lo.tar.gz"
lo2="${lo}_langpack_pl.tar.gz"
lo3="${lo}_helppack_pl.tar.gz"
# Pobieranie
if [ ! -e $lo1 ] ; then
  wget -O $lo1 $losource$lo1
fi
if [ ! -e $lo2 ] ; then
  wget -O $lo2 $losource$lo2
fi
if [ ! -e $lo3 ] ; then
  wget -O $lo3 $losource$lo3
fi
# Instalacja
if [ -e $lo1 ] ; then
  echo "$lo1 istnieje!"
  tar xvf $lo1
  dpkg -i -R "${loi}/DEBS/"
  rm -r "${loi}"
fi
if [ -e $lo2 ] ; then
  echo "$lo2 istnieje!"
  tar xvf $lo2
  dpkg -i -R "${loi}_langpack_pl/DEBS/"
  rm -r "${loi}_langpack_pl"
fi
if [ -e $lo3 ] ; then
  echo "$lo3 istnieje!"
  tar xvf $lo3
  dpkg -i -R "${loi}_helppack_pl/DEBS/"
  rm -r "${loi}_helppack_pl"
fi

## Zakomentuj lub usuń poniższy kod, jeżeli NIE UŻYWASZ CrunchBanga i menedżera Openbox
## Alternatywnie możesz usunąć pliki lowriter localc loimpress lobase lodraw.
## Jeżeli masz CrunchBanga, upewnij się, że ścieżka w poniższych plikach
## wskaże poprawny katalog instalowanej wersji LibreOffice'a, np.:
## cmd=/opt/libreoffice4.2/program/soffice
for file in lowriter localc loimpress lobase lodraw
do
  if [ -e /usr/bin/$file ] ; then
    sudo cp -f $file /usr/bin
    sudo chmod a+x /usr/bin/$file
  fi
done
sudo rm /usr/bin/libreoffice
## Poniżej również musi być wpisana poprawna (czyli instalowana) wersja
sudo ln -s /usr/bin/libreoffice4.2 /usr/bin/libreoffice
## Koniec kodu dla CB
